× CodeTyphon FreeBSD, OpenBSD, NetBSD and DragonFly OSes Development, discussions and problems

Deleted Cannot install CT 4.70 on FreeBSD/PC-BSD v10

  • Manos S. Pappas
  • Manos S. Pappas's Avatar Topic Author
  • Offline
  • Junior Boarder
  • Junior Boarder
More
6 years 5 months ago #5231 by Manos S. Pappas
Cannot install CT 4.70 on FreeBSD/PC-BSD v10 was created by Manos S. Pappas
Hello,

On FreeBSD v10 systems (and PC-BSD v10 as well), the installation of CodeTyphon 4.70 fails.
The most obvious changes are the replacement of all pkg_add, pkg_remove e.t.c commands with the pkg command (i.e you do pkg install <packagename>) which is fixed by updating the FreeBSD system libraries installation script.
What I cannot find out why it fails is the compilation of FreePascal itself; even after installing the GCC toolchain (it's actually a frontend for LLVM clang which is now used system-wide), fpc compiles fine but the system unit fails to build and it is the reason why Typhon IDE (even the small one) fails to build.

I will continue to investigate the problem and will post updates here.

Best Regards,
Manos S. Pappas

Please Log in or Create an account to join the conversation.

  • Sternas Stefanos
  • Sternas Stefanos's Avatar
  • Away
  • Moderator
  • Moderator
  • Ex Pilot, M.Sc, Ph.D
More
6 years 5 months ago #5232 by Sternas Stefanos
Replied by Sternas Stefanos on topic Cannot install CT 4.70 on FreeBSD/PC-BSD v10
Sir, FreeBSD 10 has BIG changes
please wait CT ver 4.8, we add support for FreeBSD 10

PilotLogic Architect and Core Programmer
The following user(s) said Thank You: Manos S. Pappas

Please Log in or Create an account to join the conversation.